<?xml version="1.0" encoding="utf-8"?>
<tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
  <tp:identifier>http://hx.com/xbrl/2024/20241231 (C569C9FE)</tp:identifier>
  <tp:name>2024-12-31_HXHoldCoLtd_report</tp:name>
  <tp:description>HXHoldCO 2024 XBRL Taxonomy prepared for the European Standard Electronic Format</tp:description>
  <tp:version>2024-12-31</tp:version>
  <tp:publisher>HX Hold Co Ltd</tp:publisher>
  <tp:publisherURL>http://hx.com/xbrl/2024</tp:publisherURL>
  <tp:publisherCountry>NO</tp:publisherCountry>
  <tp:publicationDate>2025-04-30</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name>HX Hold Co Ltd XBRL Taxonomy for 2024-12-31</tp:name>
      <tp:description>HX Hold Co Ltd XBRL report for 2024-12-31</tp:description>
      <tp:entryPointDocument href="http://hx.com/xbrl/2024/2138004WV2GA7GI77I96-2024-12-31.xsd" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" />
      <tp:languages>
        <tp:language>en</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>